package util

type User struct {
	Name         string
	Index        int
	IsOp         bool
	Home         string
	Porch        string
	ToJSONString func() string
}

func NewUser(nm string) *User {
	m := new(User)
	m.Name = nm
	if nm == "" {
		m.Index = -1
	}
	m.IsOp = false
	m.Home = ""
	m.Porch = ""
	m.ToJSONString = func() string {
		return "{\"name\":\"" + m.Name + "\",\"home\":\"" + m.Home + "\",\"porch\":\"" + m.Porch + "\"}"
	}
	return m
}
